unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine, VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TPointSeries;
    procedure FormCreate(Sender: TObject);
    procedure Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer; var MarkText: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  i: integer;
  x, y: double;
  s: string;
begin

  Chart1.BottomAxis.LabelStyle := talValue;
  Chart1.BottomAxis.LabelsFont.Style := [];
  Chart1.BottomAxis.AutomaticMinimum := false;
  Chart1.BottomAxis.Minimum := 0;

  Series1.Clear;
  Series1.Marks.Visible := true;
  Series1.Marks.Style := smsLabel;
  Series1.OnGetMarkText := Series1GetMarkText;

  for i := 0 to 25 do
  begin
    x := Random(100);
    y := Random(100);
    s := Chr(Ord('A') + i);  // <-- Each Point has the Label A to Z
    Series1.AddXY(x, y, s);
  end;
end;

procedure TForm1.Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer; var MarkText: string);
begin
  MarkText := Series1.Labels[ValueIndex];
end;

end.
